using System;
					
public class Program
{
	public static void Main()
	{
		string [] s = Console.ReadLine().Split();
		int [] prvirez=new int [2];
		prvirez[0]=int.Parse(s[0]);
		prvirez[1]=int.Parse(s[1]);
		string [] r = Console.ReadLine().Split();
		int [] drugirez=new int [2];
		drugirez[0]=int.Parse(r[0]);
		drugirez[1]=int.Parse(r[1]);
		bool f= true;
		
		if(s[0]==r[0])
		{
			if(drugirez[1]<prvirez[1])
			{
				Console.WriteLine("drugi");
				f= false;
			}	
		}
		if(s[1]==r[1])
		{
			if(drugirez[0]<prvirez[0])
			{
				Console.WriteLine("prvi");
				f= false;
			}	
		}
		if(s[1]==r[1]&&s[0]==r[0])
		{
			Console.WriteLine("nijedan");
			f= false;
		}
		if(f)
		{
			Console.WriteLine("?");
		}
	}
}